Bug 49037 - SSLVerifyClient require_no_ca
Summary: SSLVerifyClient require_no_ca
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_ssl (show other bugs)
Version: 2.2.15
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
: 47492 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-04-02 01:59 UTC by argami
Modified: 2018-11-07 21:09 UTC (History)
2 users (show)



Attachments
Patch for Required_no_ca (5.64 KB, application/octet-stream)
2010-04-14 10:32 UTC, argami
Details

Note You need to log in before you can comment on or make changes to this bug.
Description argami 2010-04-02 01:59:28 UTC
Adding the option of required_no_ca, Always ask for client certificate never verify with the ca, this option is made just to ask the certificate and separate the validation option of the webserver.

Its based on a previous patch with a bug  https://issues.apache.org/bugzilla/show_bug.cgi?id=47492.
Comment 1 Paul Donohue 2010-04-14 09:17:49 UTC
*** Bug 47492 has been marked as a duplicate of this bug. ***
Comment 2 Paul Donohue 2010-04-14 09:18:28 UTC
Where is the patch?
Comment 3 argami 2010-04-14 10:32:30 UTC
Created attachment 25296 [details]
Patch for Required_no_ca

I dont know what happen before because i post the patch but i reposted now
Comment 4 Paul Donohue 2010-04-14 11:47:36 UTC
As I mentioned on bug #47492, I don't think this patch is necessary, as 'optional_no_ca' always asks for a client certificate too.  The only difference between this required_no_ca and the existing optional_no_ca is that required_no_ca will automatically disconnect the client if a certificate is not provided, while optional_no_ca will accept the connection if a certificate is not provided, and the application must disconnect the client itself if a certificate is needed (but this should be trivial if you are already doing your own validation).

Regardless, I've attached a separate patch to bug #45922 which includes updated documentation for the SSLVerifyClient directive that should help clear up some of the confusion.  (I've run into a number of people who believe that 'optional' and require' cause Apache to ask for the cert differently, when in fact the only difference is that 'require' will automatically give up and disconnect if it doesn't get a certificate back after it asks for one).
Comment 5 William A. Rowe Jr. 2018-11-07 21:09:14 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.